-- name: CreateOrUpdateCountries :batchexec
INSERT INTO countries (
          slug,
          code,
          display_name,
          three_letter_code,
          flag_flat_64_url,
          flag_flat_32_url,
          flag_round_64_url,
          flag_round_32_url
          )
   VALUES ($1, $2, $3, $4, $5, $6, $7, $8)
  ON CONFLICT (slug)
      DO UPDATE
         SET code = EXCLUDED.code,
             display_name = EXCLUDED.display_name,
             three_letter_code = EXCLUDED.three_letter_code,
             flag_flat_64_url = EXCLUDED.flag_flat_64_url,
             flag_flat_32_url = EXCLUDED.flag_flat_32_url,
             flag_round_64_url = EXCLUDED.flag_round_64_url,
             flag_round_32_url = EXCLUDED.flag_round_32_url;

-- name: CreateOrUpdateCountry :exec
   INSERT INTO countries (
          slug,
          code,
          display_name,
          three_letter_code,
          flag_flat_64_url,
          flag_flat_32_url,
          flag_round_64_url,
          flag_round_32_url
          )
   VALUES ($1, $2, $3, $4, $5, $6, $7, $8) ON CONFLICT (slug)
       DO
   UPDATE
      SET code = EXCLUDED.code,
          display_name = EXCLUDED.display_name,
          three_letter_code = EXCLUDED.three_letter_code,
          flag_flat_64_url = EXCLUDED.flag_flat_64_url,
          flag_flat_32_url = EXCLUDED.flag_flat_32_url,
          flag_round_64_url = EXCLUDED.flag_round_64_url,
    flag_round_32_url = EXCLUDED.flag_round_32_url;


-- name: GetCountryBySlug :one
    SELECT *
      FROM countries
      WHERE slug = $1;
